<?php 
  require_once("functions.php");	 

	if (!isset($cmd)) $cmd="Main";
	if (isset($nextcmd)) $cmd=$nextcmd;
	if (isset($setdomain)) $domain=$setdomain;
	
	$control = array(
		"Main" => array(
			"name"			=> "Courier Administrator",
      "title"			=> "",
      "parent"		=> "",
      "menu"      => "",
      "text"			=> "Prerelease des Administrators zur Courier Konfiguration.<br>", //text shown above workspace
      "workspace" => ""
		),
																
  		"DomainMain" => array(
				"name"			=> "Maildomains",
        "title"			=> "", //title for workspace if different from name
        "parent"		=> "Main",
        "menu"      => "mnu_domains.php", //phpfile which contains an additional menu
        "text"			=> "Administration der Maildomains, zZt. nur im LDAP-Verzeichnis vorhandene Domains", //text shown above workspace
        "workspace" => ""
  		),
  
    		"DomainNew" => array(
					"name"			=> "Neu", //menu caption
          "title"			=> "Neue Domain", //String, feel free to use variables!
          "parent"		=> "DomainMain", //Parent-Cmd
          "menu"      => "", //phpfile which contains an additional menu
          "text"			=> "Das Anlegen einer neuen Domain ist noch nicht implementiert", //text shown above workspace
          "workspace" => ""  //phpfile which contains the workspace
    		),

    		"DomainEdit" => array(
					"name"			=> "", //menu caption
          "title"			=> "$domain", //String, feel free to use variables!
          "parent"		=> "DomainMain", //Parent-Cmd
          "menu"      => "", //phpfile which contains the additional menu
          "text"			=> "", //text shown above workspace
          "workspace" => "domain.php"  //phpfile which contains the workspace
    		),
    
      		"AccountNew" => array(
      			"name"			=> "Neuer Mailaccount", //menu caption, leave blank if Cmd should not show up in menu
            "title"			=> "", //title for workspace if different from name, feel free to use variables!
            "parent"		=> "DomainEdit", //Parent-Cmd
            "menu"      => "", //phpfile which contains the additional menu
            "text"			=> "", //text shown above workspace
            "workspace" => "mailaccount.php"  //phpfile which contains the workspace
      		),

      		"AccountEdit" => array(
      			"name"			=> "", //menu caption, leave blank if Cmd should not show up in menu
            "title"			=> "Mailaccount ndern", //title for workspace if different from name, feel free to use variables!
            "parent"		=> "DomainEdit", //Parent-Cmd
            "menu"      => "", //phpfile which contains the additional menu
            "text"			=> "", //text shown above workspace
            "workspace" => "mailaccount.php"  //phpfile which contains the workspace
      		),
  
		//Use this template to create new commands
		"Template" => array(
			"name"			=> "", //menu caption, leave blank if Cmd should not show up in menu
      "title"			=> "", //title for workspace if different from name, feel free to use variables!
      "parent"		=> "", //Parent-Cmd
      "menu"      => "", //phpfile which contains the additional menu
      "text"			=> "", //text shown above workspace
      "workspace" => ""  //phpfile which contains the workspace
		)
	);

	/*
	* including the title of our page
	*/
	function title($cmd) {
		global /*$cmd,*/ $control;
		
		if (!isset($control[$cmd])) {
			echo "command not (yet) implemented: cmd=$cmd";
		}
		else { 		
			echo "<h1>" . ($control[$cmd]["title"] != '' ? $control[$cmd]["title"] : $control[$cmd]["name"]) . "</h1>";
  	}
	}
	
	/*
	* including the menu
	*/
	function menu($cmd) {
    global $PHP_SELF;
  	global $control;
		
		if (isset($control[$cmd])) {
  		if ($control[$cmd]['parent'] != '') {
				echo "<a class=\"menu\" href=$PHP_SELF?nextcmd=".$control[$cmd]['parent'].">Zurck</a><br><br>\n";
  		}

			//automatic menu from control array
			foreach($control as $key => $menu) {
				if ($menu['parent'] == $cmd && $menu['name'] != '') {
					echo "<a class=\"menu\" href=$PHP_SELF?nextcmd=$key".">".$menu['name']."</a><br>\n";
				} 
			}
						
			//additional menu
  		if ($control[$cmd]['menu'] != '') {
  			include($control[$cmd]['menu']);			
  		}
		}

		else {
			echo '<a href="javascript:history.back()">zurck</a>';
		}
	}
	
	/*
	* including the workspace
	*/
	function workspace($cmd) {	
		global $control;
		
		if (isset($control[$cmd])) {
			if ($control[$cmd]['text'] != '') 
				echo $control[$cmd]['text']."\n";			
		
  		if ($control[$cmd]['workspace'] != '') {
  			include($control[$cmd]['workspace']);			
  		}
		}
	}
?>								

