<?php 
	/*
	* domain.php
	*/
	
  require_once("config.php");	 
  require_once("functions.php");	 

	global $domain;
  global $PHP_SELF;
  
  if ($account_list = ldap_list_accounts($prefs, $ldap, $domain)) {
		echo "<table width=\"100%\" border=\"0\" cellpadding=\"0\" cellspacing=\"1\">\n";
    echo "<tr class=caption>\n";
    echo "<td><b>Name</b></td>";
    echo "<td><b>Mail/Account</b></td>";
    echo "</tr>\n";

    $k = 0;
    while(list($dn,$account) = each($account_list)) {
      if (ereg("uid=([^,]+),", $dn, $reg)) {
        $list_class = "list".($k++ %2);

        $uid=$reg[1];

				echo "<tr class=".$list_class.">\n";
				echo "<td class=".$list_class." valign=\"top\">";
        echo "<a class=".$list_class." href=\"".$PHP_SELF."?nextcmd=AccountEdit&uid=".$uid."\">";
        echo $account["cn"];
        echo "</a></td>\n";

        //create table for mail attributes
        echo "<td class=".$list_class.">";
        for ($j=0; $j<count($account["mail"]); $j++) {
          if ($j) echo "<br>";
  				echo $account["mail"][$j];
        }
        echo "</td>";

				echo "</tr>\n";
      }
    }

		echo "</table>\n";
  }

?>

