<?php 
	/*
	*	mailaccount.php
	*/							 
	
	require_once("config.php");
	require_once("functions.php");

	global $domain, $uid, $cmd2;
  global $account, $posted_account;
  
  global $pw1,$pw2;
  show_debug("\$pw1=$pw1, \$pw2=$pw2");
  
  if (isset($posted_account)) $account = $posted_account;

  //create list of allowed domains
  $domainlist=array($domain, "");

  /**********************************************************************************
  * create_form($account, $domainlist)
  *
  * will output form to input mailaccount
  */
	function create_form($account, $domainlist) {
    global $PHP_SELF;

		echo ("\n<form name=\"MailAccount\" action=\"$PHP_SELF\" method=\"post\">\n");
    
		echo("  <input type=\"hidden\" name=\"posted_account[uid]\" value=\"". $account["uid"] ."\">\n");
		echo("  <input type=\"hidden\" name=\"posted_account[userPassword]\" value=\"". $account["userPassword"] ."\">\n");
		echo("  <input type=\"hidden\" name=\"posted_account[homeDirectory]\" value=\"". $account["homeDirectory"] ."\">\n");

    echo("  <table border=\"0\" cellpadding=\"0\" cellspacing=\"1\" summary=\"MailAccount\">\n");
    echo("  <tr class=list1>\n");
    echo("   	<td valign=\"top\">Name:</td>\n");
    echo("   	<td>&nbsp;</td>\n");
    echo("   	<td><input name=\"posted_account[cn]\" value=\"". $account["cn"] . "\" size=\"40\"></td>\n");
    echo("  </tr>\n");

    echo("  <tr class=list0>\n");
    echo("   	<td valign=\"top\">Mail:</td>\n");
    echo("   	<td valign=\"top\"><input type=\"submit\" name=\"cmd2\" value=\"+\"></td>\n");
    echo("   	<td>\n");
    
    //create list of mailadresses
		for($i=0; $i<max(1,count($account["mail"])); $i++) {
			$mail = $account["mail"][$i];
			$maildomain = $account["maildomain"][$i];
			if ($i) echo("<br>\n");
			echo("      <input name=\"posted_account[mail][$i]\" value=\"$mail\" size=\"40\">");

      //show domainlist
      echo("<select name=\"posted_account[maildomain][$i]\">");
      for ($j=0; $j<count($domainlist); $j++) {
        echo("<option value=\"".$domainlist[$j]."\"");
        if (strlen($mail) && ($domainlist[$j] == $maildomain))
          echo " selected";
        echo ">";
        if (strlen($domainlist[$j]) > 0)
          echo "@ ";
        echo($domainlist[$j]."</option>");
      }

      echo("</select>");
		} //mailadresses listed
  
		echo("    </td>\n");
    echo("  </tr>\n");

    echo("  <tr class=list1>\n");
    echo("   	<td valign=\"top\">Passwort:</td>\n");
    echo("   	<td>&nbsp;</td>\n");
    echo("   	<td><input type=\"password\" name=\"pw1\" size=\"40\"></td>\n");
    echo("  </tr>\n");
    echo("  <tr class=list0>\n");
    echo("   	<td valign=\"top\">Passwort wiederholen:</td>\n");
    echo("   	<td>&nbsp;</td>\n");
    echo("   	<td><input type=\"password\" name=\"pw2\" size=\"40\"></td>\n");
    echo("  </tr>\n");

    echo("  <tr>\n");
    echo("   	<td height=\"60\" valign=\"bottom\" align=\"center\" colspan=\"3\"><input type=\"submit\" name=\"cmd2\" value=\"Speichern\"></td>\n");
    echo("  </tr>\n");

    echo("  </table>\n");
    echo("</form>\n");
	}
	
  /**********************************************************************************
  * Main
  *
  * Additional Commands ($cmd2) will be set by form
  */
	switch ($cmd2) {
		case "Speichern":
        show_debug("save");
				// Save the Form
				if ($pw1==$pw2) {
					if (strlen($pw1) > 0) {
            show_debug("set new password to $pw1");
						$account["userPassword"] = $pw1;
          }
	
					if (ldap_set_account($prefs, $ldap, $domain, $account)) {
						echo "Account erfolgreich gespeichert.<br>\n";				
					}
					else {
						create_form($account, $domainlist);
					}
				}
		
				else {
					echo "Fehler bei Passworteingabe!<br><br>\n";
					create_form($account, $domainlist);
				}
			break;

		case "+":
        show_debug("add mail");
        $account["mail"][]="";
        create_form($account, $domainlist);
			break;
			
		default:	
				// Input Form
		    show_debug("mailaccount for $uid @ $domain");
				if (strlen($uid)>0) {
		    	$account = ldap_get_account($prefs, $ldap, $domain, $uid);
				}
				else {
          show_debug("new account");
          unset($account);
				}
	
				create_form($account, $domainlist);
		}
?>

